Import("env")
board = env.get("BOARD_MCU")
frameworks = env.get("PIOFRAMEWORK")

print(f"HAL configuration:")
for framework in frameworks:
    env.Append(SRC_FILTER=[f"+<platform/{framework}/{board}/*>"])
    env.Append(SRC_FILTER=[f"+<platform/{framework}/*.cpp>"])
    print(f"- platform/{framework}{board}")
